## wicd 1.7.4+tb2+2019.09.18git2e0ba579

=== debian/changelog ===
wicd (1.7.4+tb2+2019.09.18git2e0ba579-1) experimental; urgency=low

  Upload to experimental to get a broader testing base of the python3 port
  and the dhcpcd5 changes. Not yet fully functional again.

  [ Axel Beckert ]
  * Don't list dhcpcd5 as preferred DHCP client in the alternative
    dependencies list. (Closes: #901592)
  * Replace versioned python build-dependency with an unversioned
    build-dependency on python2.
  * Look for "dhcpcd5" instead of "dhcpcd". (Closes: #852343)
  * Demote alternative list of DHCP clients from a hard dependency to a
    recommendation since in theory wicd can also be used just to switch
    between multiple static configurations. (Also closes: #901592)
  * Package git snapshot to test the port to Python 3. (Closes: #938823)
    + Refresh remaining patches as necessary.
    + Change (build-)dependencies to python3 variants.
    + Switch from python-gobject-2 to python3-gi.
    + Rename python-wicd to python3-wicd.
    + Use pybuild build system.
    + Add patches with all remaining needed changes, especially
      bytes vs string conversions and path issues.
    + Copy the generated wpath.py into the build directory before running
      dh_auto_test, i.e. the test suite.
    + Add some more files (mostly under "other") to debian/clean.
    + Add iw as dependency. iwconfig seems not yet fully replaced though.
    + Vcs-Git: Set branch to python3 until merged into master.
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)
  * Add "Pre-Depends: ${misc:Pre-Depends}" to wicd-daemon as recommended
    by Lintian.
  * Disable test suite while Python 3 port is still incomplete.

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Giap Tran ]
  * Apply patch by Vincent Lefevre to fix auto(re)connect while GUI is
    open. (Closes: #833929)

 -- Axel Beckert <abe@debian.org>  Mon, 02 Dec 2019 04:47:07 +0100

wicd (1.7.4+tb2-6) unstable; urgency=low

  * Set "Rules-Requires-Root: no".
  * Add debian/duck-override for "moved to" false positive on
    bugs.debian.org.
  * Declare compliance with Debian Policy 4.1.4. (No changes needed.)
  * Apply patch by Wasif Malik to fix "AttributeError in keypress():
    'Text' object has no attribute 'keypress'" in wicd-curses. Thanks
    Wasif! (Closes: #814090)
  * Update Vcs-* headers for move to salsa.debian.org.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
  * Fix several spelling errors in packaging found by Lintian.
  * Install upstream .service files, but patch them to fix multiple
    lintian warnings and to not disconnect the network connection on
    service stop. (Closes: #789567)
  * Replace dependency on python-gobject with python-gobject-2. (Closes:
    #890179)
  * Replace gksu and gksudo with pkexec and su-to-root. (Closes: #885546)
    + Update and rename patch 32-prefer_gksu.patch accordingly.
    + Recommend policykit-1 or menu (or kde-runtime for kdesu) instead of
      gksu.
  * Add a DEP12 upstream metadata file.
  * Add a note to /etc/default/wicd that the file is ignored if systemd is
    used as init system.

 -- Axel Beckert <abe@debian.org>  Mon, 23 Apr 2018 01:10:23 +0200
