=== debian/control ===
Source: wicd
Section: net
Priority: optional
Maintainer: Debian WICD Packaging Team <pkg-wicd-maint@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>,
           Giap Tran <txgvnn@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3
Build-Depends-Indep: gettext,
                     po-debconf,
                     python3-babel,
                     python3-dbus <!nocheck>,
                     python3-gi <!nocheck>
Standards-Version: 4.4.1
Homepage: https://launchpad.net/wicd
Vcs-Browser: https://salsa.debian.org/debian/wicd
Vcs-Git: https://salsa.debian.org/debian/wicd.git -b python3
Rules-Requires-Root: no

Package: wicd
Architecture: all
Depends: wicd-daemon (= ${source:Version}),
         wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client,
         ${misc:Depends}
Description: wired and wireless network manager - metapackage
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility;
  * tray icon showing network activity and signal strength;
  * lack of GNOME dependencies (although it does require GTK+), making it
    easy to use in Xfce, Fluxbox, Openbox, Enlightenment, etc.
 .
 This is a metapackage, it allows installation of all the components of
 Wicd, including one of the clients, which must be manually chosen.

Package: wicd-daemon
Architecture: all
Depends: adduser,
         dbus,
         iputils-ping | inetutils-ping,
         iw,
         lsb-base (>= 3.2-13),
         psmisc,
         python3-dbus,
         python3-gi,
         python3-wicd (= ${source:Version}),
         wireless-tools,
         wpasupplicant,
         ${misc:Depends},
         ${python3:Depends}
Pre-Depends: debconf (>= 1.5.34),
             ${misc:Pre-Depends}
Recommends: isc-dhcp-client | pump | udhcpc | dhcpcd5,
            rfkill,
            wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
Suggests: pm-utils
Breaks: wicd (<= 1.6.2.2-4)
Replaces: wicd (<= 1.6.2.2-4)
Description: wired and wireless network manager - daemon
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package contains the daemon needed to run Wicd.

Package: wicd-gtk
Architecture: all
Depends: python3-gi,
         wicd-daemon (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: policykit-1 | menu | kde-runtime,
            python3-notify
Provides: wicd-client
Breaks: wicd (<= 1.6.2.2-4)
Replaces: wicd (<= 1.6.2.2-4)
Description: wired and wireless network manager - GTK+ client
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides the GTK+ client, which has no GNOME dependencies,
 making it easy to use in Xfce, Fluxbox, Openbox, Enlightenment, ...
 It also supports a tray icon showing network activity and signal
 strength.

Package: wicd-curses
Architecture: all
Depends: python3-urwid (>= 1.1),
         wicd-daemon (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: sudo
Provides: wicd-client
Breaks: wicd (<= 1.6.2.2-4)
Replaces: wicd (<= 1.6.2.2-4)
Description: wired and wireless network manager - Curses client
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides the Curses/Urwid client, which is the client
 of choice in environments without X server.

Package: wicd-cli
Architecture: all
Depends: wicd-daemon (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: sudo
Provides: wicd-client
Breaks: wicd (<< 1.7.0~a3)
Replaces: wicd (<< 1.7.0~a3)
Description: wired and wireless network manager - scriptable console client
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides a scriptable console client.

Package: python3-wicd
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         net-tools
Suggests: ethtool,
          iproute2
Breaks: wicd (<< 1.7.0~a3)
Replaces: wicd (<< 1.7.0~a3)
Description: wired and wireless network manager - Python module
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides the Python module used by Wicd.
