## wicd 1.8.0~git20260213.19785e9f

=== debian/changelog ===
wicd (1.8.0~git20260213.19785e9f-1) experimental; urgency=medium

  * Package the latest upstream master (1.8.0) into unstable
  * Fix systemd service
  * Fix pytho package build version
  * Fix wicd-gtk tray right-click menu
  * Fix wicd-curses About dialog
  * Port wicd-gtk startup window size
  * control: update Uploaders
  * control: add iw, rfkill to Suggests

 -- Marin Ivanov <dev@metala.org>  Thu, 19 Feb 2026 00:53:47 +0200

wicd (1.7.4+tb2+2019.09.18git2e0ba579-2) UNRELEASED; urgency=medium

  [ Axel Beckert ]
  * Disable building the wicd-gtk package until upstream has fixed GUI
    support.

  [ Bastian Germann ]
  * Replace Recommends: policykit-1 with pkexec (Closes: #1025589)
  * Change dependency back from dhcpcd5 to dhcpcd again.

 -- Axel Beckert <abe@debian.org>  Sun, 03 Jan 2021 12:26:22 +0100
