=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: wicd
 Section: net
-Priority: optional
 Maintainer: Debian WICD Packaging Team <pkg-wicd-maint@lists.alioth.debian.org>
-Uploaders: Axel Beckert <abe@debian.org>,
-           Giap Tran <txgvnn@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Marin Ivanov <dev@metala.org>
+Build-Depends: debhelper (>= 13~),
+               debhelper-compat (= 13),
                dh-python,
-               python3
+               python3,
+               python3-setuptools,
+               python3-setuptools-scm,
+               python3-babel,
+               python3-babelgladeextractor,
+               pybuild-plugin-pyproject
 Build-Depends-Indep: gettext,
                      po-debconf,
-                     python3-babel,
                      python3-dbus <!nocheck>,
                      python3-gi <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.7.3
 Homepage: https://launchpad.net/wicd
-Vcs-Browser: https://salsa.debian.org/debian/wicd
-Vcs-Git: https://salsa.debian.org/debian/wicd.git -b python3
+Vcs-Browser: https://git.devuan.org/metala/wicd
+Vcs-Git: https://git.devuan.org/metala/wicd.git
 Rules-Requires-Root: no
 
 Package: wicd
 Architecture: all
 Depends: wicd-daemon (= ${source:Version}),
-         wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client,
+         wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-gtk (= ${source:Version}) | wicd-client,
          ${misc:Depends}
 Description: wired and wireless network manager - metapackage
  Wicd is a general-purpose network configuration server which aims
@@ -46,7 +49,6 @@
          dbus,
          iputils-ping | inetutils-ping,
          iw,
-         lsb-base (>= 3.2-13),
          psmisc,
          python3-dbus,
          python3-gi,
@@ -57,12 +59,12 @@
          ${python3:Depends}
 Pre-Depends: debconf (>= 1.5.34),
              ${misc:Pre-Depends}
-Recommends: isc-dhcp-client | pump | udhcpc | dhcpcd5,
+Recommends: isc-dhcp-client | pump | udhcpc | dhcpcd,
             rfkill,
             wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
 Suggests: pm-utils
-Breaks: wicd (<= 1.6.2.2-4)
-Replaces: wicd (<= 1.6.2.2-4)
+Breaks: wicd (<< 1.8.0~)
+Replaces: wicd (<< 1.8.0~)
 Description: wired and wireless network manager - daemon
  Wicd is a general-purpose network configuration server which aims
  to provide a simple but flexible interface for connecting to networks.
@@ -82,11 +84,11 @@
          wicd-daemon (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: policykit-1 | menu | kde-runtime,
+Recommends: polkitd | menu | kde-runtime,
             python3-notify
 Provides: wicd-client
-Breaks: wicd (<= 1.6.2.2-4)
-Replaces: wicd (<= 1.6.2.2-4)
+Breaks: wicd (<< 1.8.0~)
+Replaces: wicd (<< 1.8.0~)
 Description: wired and wireless network manager - GTK+ client
  Wicd is a general-purpose network configuration server which aims
  to provide a simple but flexible interface for connecting to networks.
@@ -111,8 +113,8 @@
          ${python3:Depends}
 Recommends: sudo
 Provides: wicd-client
-Breaks: wicd (<= 1.6.2.2-4)
-Replaces: wicd (<= 1.6.2.2-4)
+Breaks: wicd (<< 1.8.0~)
+Replaces: wicd (<< 1.8.0~)
 Description: wired and wireless network manager - Curses client
  Wicd is a general-purpose network configuration server which aims
  to provide a simple but flexible interface for connecting to networks.
@@ -134,8 +136,8 @@
          ${python3:Depends}
 Recommends: sudo
 Provides: wicd-client
-Breaks: wicd (<< 1.7.0~a3)
-Replaces: wicd (<< 1.7.0~a3)
+Breaks: wicd (<< 1.8.0~)
+Replaces: wicd (<< 1.8.0~)
 Description: wired and wireless network manager - scriptable console client
  Wicd is a general-purpose network configuration server which aims
  to provide a simple but flexible interface for connecting to networks.
@@ -156,9 +158,11 @@
          ${python3:Depends},
          net-tools
 Suggests: ethtool,
-          iproute2
-Breaks: wicd (<< 1.7.0~a3)
-Replaces: wicd (<< 1.7.0~a3)
+          iproute2,
+          rfkill,
+          iw
+Breaks: wicd (<< 1.8.0~)
+Replaces: wicd (<< 1.8.0~)
 Description: wired and wireless network manager - Python module
  Wicd is a general-purpose network configuration server which aims
  to provide a simple but flexible interface for connecting to networks.
