=== debian/watch ===
version=4
opts="uversionmangle=s/%7E/~/,pgpsigurlmangle=s/$/.asc/" \
  https://launchpad.net/wicd/ \
  https://launchpad.net/.*download/wicd-(\d+.*)\.tar\.(?:gz|bz2|xz)
